Skip to content

Audit a portal fill — never mutates the draft row

POST
/iq-extension/log-fill
curl --request POST \
--url https://api.vendorica.com/v1/iq-extension/log-fill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "draftId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "portalUrl": "https://example.com", "fieldHint": "example" }'

DraftId + portalUrl + optional fieldHint

Media typeapplication/json
object
draftId
required
string format: uuid
portalUrl
required
string format: uri
<= 2048 characters
fieldHint
string | null
<= 256 characters
Examplegenerated
{
"draftId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"portalUrl": "https://example.com",
"fieldHint": "example"
}

Success

Media typeapplication/json
object
success
required
boolean
data
required
object
ok
required
boolean
timestamp
required
string format: date-time
requestId
string
message
string
Example
{
"success": true,
"data": {
"ok": true
},
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H",
"message": "string"
}

Validation error

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Bad request",
"code": "BAD_REQUEST",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Unauthorized

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Unauthorized",
"code": "UNAUTHORIZED",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Forbidden — missing scope

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Forbidden",
"code": "FORBIDDEN",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Not found

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Resource not found",
"code": "NOT_FOUND",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Rate limit exceeded

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Too many requests",
"code": "TOO_MANY_REQUESTS",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}